REST API call to retrieve the list of Case IDs assigned to a case by specifying the case title

Prev Next

You can retrieve (GET) the case IDs assigned to a case by specifying the title or name using this API.

GET request URL

https://<epo_server_name:port>/rest/dlp/rest/dlp/cases/title/{title}

Where

  • epo_server_name:port is the server IP address and port number.

  • {title} is the name of the case for which the case IDs are retrieved.

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

title

Specifies the case title for which the case IDs are retrieved.

Required

Number

Using these sample API calls, you can get all case IDs assigned to the case – testCase.

Sample GET request URL

https://172.27.108.53:8443/rest/dlp/cases/title/testCase

Sample cURL command

curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/cases/title/testCase' -u '<user>:<password>'

Response parameters

The response to this API call returns all case IDs identified by the title.

Element

Description

Data type

caseIds

List of caseIDs identified by the title.

Number

Sample response

[
    1,
    2,
    3,
    4,
    5
]

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

Returns the list of case IDs.

400 Bad Request

Cases with the specified title are not found.

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-prem orion.log file for more details about the error.